﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using System.Diagnostics;
using System.Globalization;

namespace XamGridGroupVis
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {

        public IEnumerable<Field> DataSource { get; set; }


        public MainWindow()
        {

            InitializeComponent();

            DataContext = this;

            DataSource =

                new[]
 
                    {
 
                        new Field {A = 1, B = 2},
 
                        new Field {A = 2, B = 3},
 
                        new Field {A = 3, B = 4}
 
                    };
        }       

        private void XGrid_ColumnVisibilityChanged(object sender, ColumnVisibilityChangedEventArgs e)
        {
            if (XGrid.Columns["AB"].Visibility == Visibility.Collapsed)
                XGrid.Columns["AB"].Visibility = Visibility.Visible;           
        }

       
        private void Checked(object sender, RoutedEventArgs e)
        {
            if (XGrid != null)
                XGrid.ColumnVisibilityChanged +=new EventHandler<ColumnVisibilityChangedEventArgs>(XGrid_ColumnVisibilityChanged);
        }
    }  
    

    public class Field
    {

        public int A { get; set; }

        public int B { get; set; }

    }  

}
